Subject: b18 C++ bugs [Re: problem with inner classes in template functions]
From: [email-masked] (Mumit Khan)

23 May 1997 10:32:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
In-Reply-To: Your message of "Thu, 22 May 1997 10:03:11 +0400."
             <[email-masked]> 
Original-Sender: [email-masked]

Sergey Okhapkin <[email-masked]> writes:
> Oliver Glier wrote:
> > Dear peoply from the GNU-WIN32 project,
> > my name is Oliver Glier and I'm porting a C++ class library to
> > Windows. The code is already compilable by Borland C++,
> > Sun Sparc C++, and GCC 2.7 (EMX , Linux, and Sun).
> > My problem is that I would like to use your compiler (beta 1.8) ,
> > but it  doesn't accept the following construct:
> > 
> 
> It's not gnu-win32 specific bug, it's a bug of gcc 2.8.0 snapshot used in b18
> . You should send your bug report to gcc maintainers!
> 

Not only this, this particular snapshot (and quite a few around it)
also miscompiles stream code (when used in complex ways), making quite
a bit of my code and octave (which I use to test various FSF snapshots)
useless.  I suspect (after many hours of tearing my hair out) that it
has something to do with virtual base classes, but I've never been able
to create a managable sized standalone program to demonstrate the bug,
so I could be far off about the reason.

The trick is to use the c++ front-end from b17.1 and use it with the rest
of b18. Since I *only* compile on a Linux right now, that's no problem; 
if you're using '95/NT, then that would be a big problem (cygwin.dll 
version incompatibility). For those who may want to use cc1plus from b17.1, 
you will also have to add "-D__extension__=" to the specs file (or supply 
it every time).

I supposed this is to be expected when basing a release on a snapshot, and 
especially when that "release" is a beta release itself ;-)

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".